<?php

/*
	Datatypes:
	- INTEGER
	- DOUBLE
	- CURRENCY
	- VARCHAR
	- TEXT
	- DATE
*/



// Name of the list
$liste["name"]     = "mail_user_lastlogin";

// Database table
$liste["table"]    = "mail_user";

// Index index field of the database table
$liste["table_idx"]   = "mailuser_id";

// Search Field Prefix
$liste["search_prefix"]  = "search_";

// Records per page
$liste["records_per_page"]  = "15";

// Script File of the list
$liste["file"]    = "mail_user_lastlogin.php";

// Script file of the edit form
$liste["edit_file"]   = "mail_user_edit.php";

// Script File of the delete script
$liste["delete_file"]  = "mail_user_del.php";

// Paging Template
$liste["paging_tpl"]  = "templates/paging.tpl.htm";

// Enable auth
$liste["auth"]    = "yes";

// mark columns for php sorting (no real mySQL columns)
//$liste["phpsort"] = array('this_month', 'last_month', 'this_year', 'last_year');
$liste["phpsort"] = array('last_login');

/*****************************************************
* Suchfelder
*****************************************************/


if($_SESSION['s']['user']['typ'] == 'admin') {
        $liste["item"][] = array( 'field'  => "sys_groupid",
                'datatype' => "INTEGER",
                'formtype' => "SELECT",
                'op'  => "=",
                'prefix' => "",
                'suffix' => "",
                'datasource' => array (  'type' => 'SQL',
                        //'querystring' => 'SELECT groupid, name FROM sys_group WHERE groupid != 1 ORDER BY name',
                        'querystring' => "SELECT sys_group.groupid,CONCAT(IF(client.company_name != '', CONCAT(client.company_name, ' :: '), ''), IF(client.contact_firstname != '', CONCAT(client.contact_firstname, ' '), ''), client.contact_name, ' (', client.username, IF(client.customer_no != '', CONCAT(', ', client.customer_no), ''), ')') as name FROM sys_group, client WHERE sys_group.groupid != 1 AND sys_group.client_id = client.client_id ORDER BY client.company_name, client.contact_name",
                        'keyfield'=> 'groupid',
                        'valuefield'=> 'name'
                ),
                'width'  => "",
                'value'  => "");
}

$liste["item"][] = array( 'field'  => "email",
	'datatype' => "VARCHAR",
	'filters'   => array( 0 => array( 'event' => 'SHOW',
			'type' => 'IDNTOUTF8')
	),
	'formtype' => "TEXT",
	'op'  => "like",
	'prefix' => "%",
	'suffix' => "%",
	'width'  => "",
	'value'  => "");

$liste["item"][] = array( 'field'  => "server_id",
        'datatype' => "INTEGER",
        'formtype' => "SELECT",
        'op'  => "like",
        'prefix' => "",
        'suffix' => "",
        'datasource' => array (  'type' => 'SQL',
                'querystring' => 'SELECT a.server_id, a.server_name FROM server a, mail_domain b WHERE (a.server_id = b.server_id) AND ({AUTHSQL-B}) ORDER BY a.server_name',
                'keyfield'=> 'server_id',
                'valuefield'=> 'server_name'
        ),
        'width'  => "",
        'value'  => "");

$liste["item"][] = array( 'field'  => "disableimap",
        'datatype' => "VARCHAR",
        'formtype' => "SELECT",
        'op'  => "=",
        'prefix' => "",
        'suffix' => "",
        'width'  => "",
        'value'  => array('n' => $app->lng('yes_txt'), 'y' => $app->lng('no_txt')));

$liste["item"][] = array( 'field'  => "disablepop3",
        'datatype' => "VARCHAR",
        'formtype' => "SELECT",
        'op'  => "=",
        'prefix' => "",
        'suffix' => "",
        'width'  => "",
        'value'  => array('n' => $app->lng('yes_txt'), 'y' => $app->lng('no_txt')));

?>
